<?php
/**
 * @package WordPress
 * @subpackage MagUp_Theme
 */

get_header(); ?>
<div id="content_frame">
	<div id="content" class="narrowcolumn" role="main">

	<?php if (have_posts()) : ?>

		<h2 class="pagetitle"><?php printf( __( 'Search Results for: %s', 'magup' ), '<span>' . get_search_query() . '</span>' ); ?></h2>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries','magup')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;','magup')) ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class(); ?>>
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s','magup'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time('l, F jS, Y') ?></small>

				<p class="postmetadata"><?php the_tags(__('Tags:','magup') . ' ', ', ', '<br />'); ?> <?php printf(__('Posted in %s','magup'), get_the_category_list(', ')); ?> | <?php edit_post_link(__('Edit','magup'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments &#187;','magup'), __('1 Comment &#187;','magup'), __('% Comments &#187;','magup'), '', __('Comments Closed','magup') ); ?></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries','magup')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;','magup')) ?></div>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('No posts found. Try a different search?','magup'); ?></h2>
		<?php get_search_form(); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<div class="clear"></div>
</div>
<?php get_footer(); ?>
