<?php
/**
 * @package WordPress
 * @subpackage MagUp_Theme
 */

get_header();
?>
<div id="content_frame">
	<div id="content" class="narrowcolumn" role="main">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>

		<div <?php post_class(); ?> id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>
			<div class="postinfo">						
				<?php printf(__('This entry was posted on %1$s at %2$s and is filed under %3$s.','magup'),  get_the_time(__('l, F jS, Y','magup')), get_the_time(), get_the_category_list(', ')); ?>
			</div>
			<div class="entry">
				
				<?php the_content('<p class="serif">' . __('Read the rest of this entry &raquo;','magup') . '</p>'); ?>
				<div class="clear"></div>
				<?php wp_link_pages(array('before' => '<p><strong>' . __('Pages:','magup') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
				<div class="clear"></div>
				<div id="addInfo">
					<?php the_tags( '<div class="addInfo tags"><h2>' . __('Tags:','magup') . '</h2> ', ' ', '</div>'); ?>
				   	
				    
  					<?php 
						$categories = get_the_category($post->ID);
						if ($categories) {
							$category_ids = array();
							foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;

							$args=array(
								'category__in' => $category_ids,
								'post__not_in' => array($post->ID),
								'posts_per_page'=> 5, // Number of related posts that will be shown.
								'ignore_sticky_posts'=>1
							);

							$my_query = new wp_query( $args );
							if( $my_query->have_posts() ) {
								echo '<div class="addInfo related"><h2>'. __('Related Posts:','magup') .'</h2><ul class="related-posts">';
  					
								while( $my_query->have_posts() ) {
									$my_query->the_post();
									$img = magup_get_thumbnail_src();?>
	
									<li>
									
									<a href="<?php the_permalink()?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a><br />
									<?php the_time('M j, Y') ?>
									
									</li>
									<?php
								}
								echo '</ul></div>';
							}
						}
						#$post = $orig_post;
						wp_reset_query(); 
						?>
					
				    <div class="addInfo author">
				    	<h2>About the author</h2>
				    	<?php 
				    		if (function_exists('get_cimyFieldValue')) $image_url = get_cimyFieldValue(get_the_author_ID(), 'AVATAR'); 
				    		if (isset($image_url) && $image_url != NULL){
								$thumb_url = cimy_get_thumb_path($image_url);
								 echo '<img src=" '. $thumb_url .' " class="author-thumb" alt="'.get_the_author().'" />';
							}
							echo '<p><strong>'.get_the_author().'</strong></p>';
							echo '<p>'.the_author_meta( 'description' ).'</p>';  
						?>
				    </div>
				    <br clear="both" />
				</div>
				<p class="postmetadata alt">
					<small>
						<?php printf(__("You can follow any responses to this entry through the <a href='%s'>RSS 2.0</a> feed.",'magup'), get_post_comments_feed_link()); ?> 

						<?php if ( comments_open() && pings_open() ) {
							// Both Comments and Pings are open ?>
							<?php printf(__('You can <a href="#respond">leave a response</a>, or <a href="%s" rel="trackback">trackback</a> from your own site.','magup'), trackback_url(false)); ?>

						<?php } elseif ( !comments_open() && pings_open() ) {
							// Only Pings are Open ?>
							<?php printf(__('Responses are currently closed, but you can <a href="%s" rel="trackback">trackback</a> from your own site.','magup'), trackback_url(false)); ?>

						<?php } elseif ( comments_open() && !pings_open() ) {
							// Comments are open, Pings are not ?>
							<?php _e('You can skip to the end and leave a response. Pinging is currently not allowed.','magup'); ?>

						<?php } elseif ( !comments_open() && !pings_open() ) {
							// Neither Comments, nor Pings are open ?>
							<?php _e('Both comments and pings are currently closed.','magup'); ?>

						<?php } 
							edit_post_link( __( 'Edit this entry', 'magup' ), '<span class="edit-link">', '</span>' );
						 ?>

					</small>
				</p>

			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.','magup'); ?></p>

<?php endif; ?>
	</div>
<?php get_sidebar(); ?>
<div class="clear"></div>
</div>
<?php get_footer(); ?>
